Change log for libucimf package in Ubuntu

117 of 17 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-11
Deleted in disco-proposed (Reason: moved to release)
libucimf (2.3.8-10) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster.
  * debian/control:
    + Mark packages as Arch: linux-any since source code uses some
      linux-specific headers and won't build on non-linux platforms.
    + R³: Use Rules-Requires-Root: no.
  * debian/rules:
    + Replace direct invocation to dpkg-architecture with
      architecture.mk.

 -- Boyuan Yang <email address hidden>  Mon, 10 Dec 2018 16:16:03 -0500

Available diffs

Superseded in disco-release on 2018-12-11
Deleted in disco-proposed on 2018-12-12 (Reason: moved to release)
libucimf (2.3.8-9) unstable; urgency=medium

  * Team upload.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update .git-dpm

  [ Boyuan Yang ]
  * debian:
    + Apply "wrap-and-sort -abst".
    + Bump debhelper compat to v11.
  * debian/control:
    + Update maintainer address (Closes: #899588).
    + Bump Standards-Version to 4.2.1.
    + Remove build-dependency to autotools-dev.
    + Update Vcs fields and use repo on Debian Salsa platform.
    + Remove reference to jfbterm, long disappeared.
  * debian/rules: Modernize instructions.
  * debian/copyright: Use secure uri.
  * debian/watch: Switch to upstream at GitHub.
  * debian/README.Debian: Fix a typo.

 -- Boyuan Yang <email address hidden>  Sun, 02 Sep 2018 09:49:30 -0400

Available diffs

Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
libucimf (2.3.8-8) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8.
  * Bump compat to 10.
  * Update Vcs-* fields.
  * Fix GCC 6 compiling error. (Closes: #822699)

 -- ChangZhuo Chen (陳昌倬) <email address hidden>  Sat, 05 Nov 2016 10:06:48 +0800
Superseded in zesty-release on 2016-11-13
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-01-27
Deleted in xenial-proposed (Reason: moved to release)
libucimf (2.3.8-7ubuntu1) xenial; urgency=low

  * Sync from Debian unstable.
  * Revert package rename for G++5 ABI change, not needed per Debian.
  * Retain Conflicts/Replaces for reverted rename, which can be dropped
    after the xenial release.

Available diffs

Superseded in xenial-release on 2016-01-27
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libucimf (2.3.8-6ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <email address hidden>  Tue, 04 Aug 2015 08:09:42 +0000
Superseded in wily-release on 2015-08-13
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
libucimf (2.3.8-6) unstable; urgency=medium


  * Use autotools_dev for supporting new architectures (Closes: #727443)

 -- Aron Xu <email address hidden>  Wed, 27 Aug 2014 07:43:40 +0800
Superseded in utopic-release on 2014-09-20
Published in trusty-release on 2013-12-30
Deleted in trusty-proposed (Reason: moved to release)
libucimf (2.3.8-5ubuntu1) trusty; urgency=medium

  * Build with dh-autoreconf for new libtool.
 -- William Grant <email address hidden>   Mon, 30 Dec 2013 07:24:58 +0000
Superseded in trusty-release on 2013-12-30
Deleted in trusty-proposed on 2013-12-31 (Reason: moved to release)
libucimf (2.3.8-5) unstable; urgency=low


  * Fix package description typos. Clsoes: #671900, #679697
  * Updated to compat 9, policy 3.9.4 and wrap-and-sort.
  * Adjust rules to multiarch and hardening. Closes: #722802
  * Adjust install path to multiarch.
  * Removed static library.

 -- Osamu Aoki <email address hidden>  Sat, 14 Sep 2013 22:52:30 +0900

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libucimf (2.3.8-4) unstable; urgency=low


  * Fix build failure with GCC 4.7. Closes: #667256.
    Thanks doko@d.o for the patch.

 -- Aron Xu <email address hidden>  Tue, 17 Apr 2012 08:26:40 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
Published in precise-release on 2011-10-17
libucimf (2.3.8-3) unstable; urgency=low

  * debian/rules:
    - Wipe out unneeded .la file.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:12:00 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
libucimf (2.3.8-2) unstable; urgency=low

  * debian/libucimf-dev.install:
    - Clean the dependency_libs out of .la files at build time,
      per Policy 10.2 (Closes: #620617).
  * debian/control:
    - Move fbterm and jfbterm from Depends to Recommends.
    - Remove useless ${shlibs:Depends}.
    + Bump std-ver: 3.9.2.
  * debian/patches/fix_manpages.patch:
    - Fix minor problems in manpages.
 -- Micah Gersten <email address hidden>   Tue,  14 Jun 2011 10:52:01 +0000

Available diffs

Superseded in oneiric-release on 2011-06-14
Obsolete in natty-release on 2013-06-04
libucimf (2.3.8-1ubuntu1) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2
 -- Steve Langasek <email address hidden>   Sat, 02 Apr 2011 20:16:32 -0700

Available diffs

Superseded in natty-release on 2011-04-03
libucimf (2.3.8-1) unstable; urgency=low

  * New upstream release:
    + Can detect multiple input methods when installed.
  * debian/control:
    + Add DMUA
    + Add "dialog" to Recommends of ucimf package.
  * debian/*.1:
    - Removed, merged upstream.
  * debian/ucimf.manpages:
    - Change accordingly.
  * debian/ucimf.examples:
    + Enlist examples.
  * debian/ucimf.install:
    - Remove items that not needed any more.
 -- Aron Xu <email address hidden>   Thu,  24 Feb 2011 17:12:41 +0000

Available diffs

Superseded in natty-release on 2011-02-24
libucimf (2.3.7-2) unstable; urgency=low

  * debian/control:
      Bump std-ver to 3.9.1,
      Remove Build-Depends on libmpfr-dev,
      Add Vcs-Bzr and Vcs-Browser fields.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:42:55 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
libucimf (2.3.7-1) unstable; urgency=low

  * New upstream release:
      Fixing build failures on ia64 and sparc,
      Tuning Makefile and scripts,
      More features added.
  * Update manpages:
      Fixing the hyphen-used-as-minus-sign,
      Fixing two typos.
  * debian/control: 
      Bump std-ver to 3.9.0,
      Add fbterm (>= 1.5) requirement to binary package ucimf,
      Remove duplicate section info,
      Fixing duplicate-short-description.
  * debian/docs: Remove empty NEWS from it.
  * debian/copyright: Update copyright info.
 -- Aron Xu <email address hidden>   Tue,  20 Jul 2010 16:58:44 +0100

Available diffs

Superseded in maverick-release on 2010-07-20
libucimf (2.3.5-1) unstable; urgency=low

   * Upstream new release, with a lot of bug fixes and new features.
 -- Aron Xu <email address hidden>   Fri, 25 Jun 2010 20:13:22 +0800

Available diffs

Superseded in maverick-release on 2010-06-26
libucimf (2.2.9.1-2) unstable; urgency=low

  * Make it build on kfreebsd-* archs.
  * debian/copyright: Add include/imf/imf.h 's license.

117 of 17 results